# Created by pyp2rpm-3.3.4
%global pypi_name setuptools-git-ls-files

Name:           python-%{pypi_name}
Version:        0.1.2
Release:        %mkrel 5
Summary:        Use git to list all files, including submodules
Group:          Development/Python
License:        MIT
URL:            https://github.com/anthrotype/setuptools_git_ls_files/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/setuptools_git_ls_files-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
A plugin for setuptools that finds all git tracked files, including submodules.
The command used is git ls-files --cached --recurse-submodule.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A plugin for setuptools that finds all git tracked files, including submodules.
The command used is git ls-files --cached --recurse-submodule.

%prep
%autosetup -n setuptools_git_ls_files-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files setuptools_git_ls_files

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Tue Jan 16 2024 daviddavid <daviddavid> 0.1.2-5.mga10
+ Revision: 2031407
- rebuild for py3.12

* Thu Mar 24 2022 umeabot <umeabot> 0.1.2-4.mga9
+ Revision: 1824918
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.1.2-3.mga9
+ Revision: 1782645
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.1.2-2.mga9
+ Revision: 1717426
- rebuild for python 3.9

* Thu Jul 23 2020 wally <wally> 0.1.2-1.mga8
+ Revision: 1608549
- imported package python-setuptools-git-ls-files

